JBossManagedConnectionPool (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossManagedConnectionPool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossManagedConnectionPool

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface JBossManagedConnectionPool

extends J2EEResource

JBossManagedConnectionPool

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`long` | `getAvailableConnectionCount()`
`int` | `getBlockingTimeout()`
`int` | `getConnectionCount()`
`java.lang.String` | `getCriteria()`
`java.lang.String` | `getDisplayName()` Returns a name string suitable for display in a UI.
`long` | `getIdleTimeoutMinutes()`
`java.lang.String` | `getManagedConnetionPoolID()`
`int` | `getMaxSize()`
`int` | `getMinSize()`
`boolean` | `getNoTxSeparatePools()`
`java.lang.String` | `getResourceName()`
`java.lang.String` | `getStateString()`
`boolean` | `hasAvailableConnectionCount()`
`boolean` | `hasBlockingTimeout()`
`boolean` | `hasConnectionCount()`
`boolean` | `hasCriteria()`
`boolean` | `hasDisplayName()`
`boolean` | `hasIdleTimeoutMinutes()`
`boolean` | `hasManagedConnetionPoolID()`
`boolean` | `hasMaxSize()`
`boolean` | `hasMinSize()`
`boolean` | `hasNoTxSeparatePools()`
`boolean` | `hasResourceName()`
`boolean` | `hasStateString()`
`void` | `setAvailableConnectionCount(long count)`
`void` | `setBlockingTimeout(int count)`
`void` | `setConnectionCount(int count)`
`void` | `setCriteria(java.lang.String criteria)`
`void` | `setDisplayName(java.lang.String name)`
`void` | `setIdleTimeoutMinutes(long timeout)`
`void` | `setManagedConnetionPoolID(java.lang.String poolid)`
`void` | `setMaxSize(int max)`
`void` | `setMinSize(int min)`
`void` | `setNoTxSeparatePools(boolean bool)`
`void` | `setResourceName(java.lang.String name)`
`void` | `setStateString(java.lang.String state)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getResourceName

    java.lang.String getResourceName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setResourceName

    void setResourceName(java.lang.String name)

### hasResourceName

    boolean hasResourceName()

### getDisplayName

    java.lang.String getDisplayName()
                                    throws AttributeNotSetException

  Description copied from interface: `ModelObject`
  Returns a name string suitable for display in a UI.

  Specified by:
    `getDisplayName` in interface `ModelObject`
  Returns:
    display name
  Throws:
    `AttributeNotSetException`

### setDisplayName

    void setDisplayName(java.lang.String name)

### hasDisplayName

    boolean hasDisplayName()

  Specified by:
    `hasDisplayName` in interface `ModelObject`

### getBlockingTimeout

    int getBlockingTimeout()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBlockingTimeout

    void setBlockingTimeout(int count)

### hasBlockingTimeout

    boolean hasBlockingTimeout()

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getAvailableConnectionCount

    long getAvailableConnectionCount()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAvailableConnectionCount

    void setAvailableConnectionCount(long count)

### hasAvailableConnectionCount

    boolean hasAvailableConnectionCount()

### getConnectionCount

    int getConnectionCount()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionCount

    void setConnectionCount(int count)

### hasConnectionCount

    boolean hasConnectionCount()

### getCriteria

    java.lang.String getCriteria()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCriteria

    void setCriteria(java.lang.String criteria)

### hasCriteria

    boolean hasCriteria()

### getNoTxSeparatePools

    boolean getNoTxSeparatePools()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNoTxSeparatePools

    void setNoTxSeparatePools(boolean bool)

### hasNoTxSeparatePools

    boolean hasNoTxSeparatePools()

### getMinSize

    int getMinSize()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinSize

    void setMinSize(int min)

### hasMinSize

    boolean hasMinSize()

### getMaxSize

    int getMaxSize()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxSize

    void setMaxSize(int max)

### hasMaxSize

    boolean hasMaxSize()

### getIdleTimeoutMinutes

    long getIdleTimeoutMinutes()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIdleTimeoutMinutes

    void setIdleTimeoutMinutes(long timeout)

### hasIdleTimeoutMinutes

    boolean hasIdleTimeoutMinutes()

### getManagedConnetionPoolID

    java.lang.String getManagedConnetionPoolID()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManagedConnetionPoolID

    void setManagedConnetionPoolID(java.lang.String poolid)

### hasManagedConnetionPoolID

    boolean hasManagedConnetionPoolID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD